# Akamai\Open\EdgeGrid\Client::setHeadersToSign

#### Specify the headers to include when signing the request

This is specified by the API, currently no APIs use this feature.

## Signature

`public function setHeadersToSign(array $headers )`

## Parameters

`$headers` — array

## Returns

$this

## Test Coverage

### Information

- Coverage: 2/2 Lines (100%)
- Tests: 14
- Passed: 14 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #0
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #1
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #4
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #5
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #6
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #7
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #8
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #9
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #10
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #11
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #12
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #13